%global         pypi_name      py_bobyqa
%define         egg_name       py_bobyqa

Name:           python-bobyqa
Version:        1.5.0
Release:        %mkrel 2
Summary:        A flexible package for solving bound-constrained minimization
License:        GPLv3
Group:          Development/Python
URL:            https://pypi.org/project/Py-BOBYQA/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.

%package -n python3-bobyqa
Summary:        Python3 implementation of the BOBYQA algorithm
Group:          Development/Python
%{?python_provide:%python_provide python3-bobyqa}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pandas)
Requires:       python3dist(numpy)
Requires:       python3dist(scipy)

Provides:       bobyqa = %{version}-%{release}

%description -n python3-bobyqa
Py-BOBYQA is a flexible package for solving bound-constrained general
objective minimization, without requiring derivatives of the
objective. At its core, it is a Python implementation of the BOBYQA
algorithm by Powell, but Py-BOBYQA has extra features improving its
performance on some problems and it is particularly useful when
evaluations of the objective function are expensive and noisy.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pybobyqa

%files -n python3-bobyqa -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Mar 03 2025 wally <wally> 1.5.0-2.mga10
+ Revision: 2159634
- rebuild for python3.13

* Mon Dec 09 2024 eatdirt <eatdirt> 1.5.0-1.mga10
+ Revision: 2123186
- Update to version 1.5.0

* Sun May 05 2024 eatdirt <eatdirt> 1.4.1-1.mga10
+ Revision: 2062265
- Update to version 1.4.1

* Wed Jan 10 2024 papoteur <papoteur> 1.4-2.mga10
+ Revision: 2029690
- rebuild for python 3.12

* Tue May 30 2023 eatdirt <eatdirt> 1.4-1.mga9
+ Revision: 1959788
- Clean spec file, use pywheel
- imported package python-bobyqa

